package uoc.ei.pfc;

import android.app.Activity;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.support.v4.content.WakefulBroadcastReceiver;

public class NotificationReceiver extends WakefulBroadcastReceiver {
    @Override
    public void onReceive(Context context, Intent intent) {
        // Indica la classe que tractara la notificaio
        ComponentName comp = new ComponentName(context.getPackageName(),
                NotificationHandler.class.getName());
        // Desperta el dispositiu
        startWakefulService(context, (intent.setComponent(comp)));        
        setResultCode(Activity.RESULT_OK);        
    }
}