package uoc.ei.pfc;

import java.util.ArrayList;
import java.util.HashMap;

import android.os.AsyncTask;
import android.util.Log;
import android.widget.TextView;

public class SendAsyncAction {	
	
	public static TextView wiflyStatus;
	public static TextView wiflyConnection;
	public static TextView serverConnection;
	
	//Crea una tasca per enviar les peticions HTTP sense bloquejar l'aplicacio
	public static void sendAction(ArrayList<String[]> parameters) {		
      
		new AsyncTask<ArrayList<?>, Void, String>() {
            @Override
            protected String doInBackground(ArrayList<?>... params) {
            	@SuppressWarnings("unchecked")
				ArrayList<String[]> parameters = (ArrayList<String[]>)params[0];
            	String msg = null;
            	try{
            		msg = HttpClient.sendParameters(PFCConstants.SCHEMA, PFCConstants.HOST, PFCConstants.PORT, PFCConstants.PATH, parameters); //Envia la peticio
            	}catch(Exception e){
            		e.printStackTrace();
            	}            	
                return msg;
            }

            @Override
            protected void onPostExecute(String msg) {            	
            	Log.v(PFCConstants.TAG, "Response from server: "+msg);
            	handleResponse(ParametersBuilder.handleCheckServer(msg));//Actualitza les variables d'estat del servidor i alarma amb la resposta obtinguda de la peticio
            }
        }.execute(parameters, null, null);
    }
	
	//Actualitza les variables d'estat a partir de la resposta
	private static void handleResponse(HashMap<String,String> map){
		if(map != null){
			wiflyConnection.setText(map.get(PFCConstants.WIFLY_CONNECTION)); 
			wiflyStatus.setText(map.get(PFCConstants.WIFLY_STATUS));
			serverConnection.setText(PFCConstants.CONNECTED);			
		}else{
			serverConnection.setText(PFCConstants.DISCONNECTED);
			wiflyConnection.setText(PFCConstants.UNKNOWN);
		}		
	}
}
