package ActionListeners;


import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;
import java.net.InetSocketAddress;

import javax.swing.JButton;

import Constants.PFCConstants;
import Debugger.RefreshUI;
import Main.HTTPServer;
import Main.ServidorTCP;

import com.sun.net.httpserver.HttpServer;

public class StartServersActionListener implements ActionListener{

	private JButton button;
	
	public StartServersActionListener(JButton button){
		this.button = button;
	}
	//Inicia el servidor HTTP i TCP
	@Override
	public void actionPerformed(ActionEvent e) {
		HttpServer server;
		try {
			server = HttpServer.create(new InetSocketAddress(PFCConstants.port), 0);
			 server.createContext(PFCConstants.serverPath, new HTTPServer());
		     server.setExecutor(null); // creates a default executor
		     server.start();
		     RefreshUI.println("HTTP Server started at: "+PFCConstants.port);
		} catch (IOException ex) {
			ex.printStackTrace();
		} 	
		
		ServidorTCP servidor = new ServidorTCP(5000);
		servidor.startServer();
		button.setEnabled(false);
	}

}
