package Main;
import java.awt.Label;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFileChooser;
import javax.swing.JPanel;

import Constants.PFCConstants;
import Debugger.RefreshUI;
import Notification.Persistance;

public class FolderSelect extends JPanel implements ActionListener {

	/**
	 * 
	 */
	private static final long serialVersionUID = 987654321L;
	JButton go;
	JFileChooser chooser;
	Label path = new Label();

	public FolderSelect() {
		chooser = new JFileChooser();
		chooser.setCurrentDirectory(new java.io.File("."));	//Per defecte la ruta actual del servidor
		chooser.setFileSelectionMode(JFileChooser.DIRECTORIES_ONLY);	//Nomes es poden triar directoris
		chooser.setAcceptAllFileFilterUsed(false);
		go = new JButton("Browse Folder");
		go.addActionListener(this);
		this.path = path;		
		path.setText(chooser.getCurrentDirectory().toString());
		add(go);
		add(path);		
	}

	public void actionPerformed(ActionEvent e) {		
		if (chooser.showOpenDialog(this) == JFileChooser.APPROVE_OPTION) {			
			RefreshUI.println("Selected folder : "+ chooser.getSelectedFile().toString());
			String newPath = chooser.getSelectedFile().toString();
			path.setText(newPath);
			newPath = newPath.replace("\\", "\\\\");	//Controlar els caracters especials		
			newPath = newPath+"\\\\"+PFCConstants.persistanceFileName;
			PFCConstants.persistancePath = newPath;		//Actualitzar la ruta actual
			RefreshUI.println("Persistance file path: "+PFCConstants.persistancePath);	//Mostrar la ruta per pantalla
			try {
				Persistance.readGCMData();
			} catch (Exception e1) {			
				e1.printStackTrace();
			}
		} else {
			RefreshUI.println("No Selection ");
		}
	}

}